Darwin install gcc-3.4.5

Rebecca Bendick bendick@mso.umt.edu
Tue Jan 24 17:15:00 GMT 2006


Hi.  I'm trying to install gcc-3.4.5 on a Mac G5 with OSX version  
10.4.4 (Darwin 8.4).  I've installed the developer tools, and my  
default gcc is gcc-4.0.  However, I need to compile either gcc-3.4.5  
or gcc_3.3.2 from source to install a separate application.  I've  
tried several times now to install either of these, following the  
directions on gcc.gnu.org, but I always get this error:

stage1/xgcc -Bstage1/ -B/usr/local/powerpc-apple-darwin8.4.0/bin/   - 
g -O2 -DIN_GCC   -W -Wall -Wwrite-strings -Wstrict-prototypes - 
Wmissing-prototypes -pedantic -Wno-long-long -Wold-style- 
definition     -DHAVE_CONFIG_H -DGENERATOR_FILE  -o genmodes \
genmodes.o errors.o ../libiberty/libiberty.a
/usr/bin/ld: Undefined symbols:
_fprintf$LDBLStub
collect2: ld returned 1 exit status
make[2]: *** [genmodes] Error 1
make[1]: *** [stage2_build] Error 2
make: *** [bootstrap] Error 2



What can I do to get fprintf$LDBLStub in the right place?


Thanks,
Becks



More information about the Gcc-help mailing list